{id}.json: Get author by ID

API: openlibrary.org:open-library-api
Endpoint: /authors/{id}.json
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 728ms

Description

Retrieve detailed information about an author.

Parameters (1)

id (string, path, required)

Author ID (e.g., OL23919A)

Examples (2)

Get author by ID openapi-spec
curl 'https://openlibrary.org/authors/OL26320A.json'
import requests

resp = requests.get("https://openlibrary.org/authors/OL26320A.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openlibrary")
result = api.fetch("authors/{id}.json")

for item in result:
    print(item)
const resp = await fetch("https://openlibrary.org/authors/OL26320A.json");
const data = await resp.json();
Get author by ID openapi-spec
curl 'https://openlibrary.org/authors/OL23919A.json'
import requests

resp = requests.get("https://openlibrary.org/authors/OL23919A.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openlibrary")
result = api.fetch("authors/{id}.json")

for item in result:
    print(item)
const resp = await fetch("https://openlibrary.org/authors/OL23919A.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:13:08.134227 200 728ms
2026-04-16 00:51:24.172236 200 564ms
2026-04-15 02:58:55.512807 200 573ms
2026-04-15 01:19:31.886385 200 593ms
2026-04-14 01:39:42.480728 200 604ms
2026-04-14 01:29:56.680610 200 594ms
2026-04-12 14:31:15.718911 200 2617ms
2026-04-12 14:30:02.411845 200 3692ms
2026-04-10 03:21:58.477229 200 780ms
2026-04-10 00:55:36.580425 200 527ms
2026-04-09 02:29:31.632763 200 594ms
2026-04-09 00:31:10.813243 200 917ms